Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem Class Reference

Item of content drafts list. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem:

## Public Member Functions
| __construct (VersionInfo $versionInfo)
| getVersionInfo ()
| hasVersionInfo ()

## Private Attributes
| $versionInfo

## Detailed Description

Item of content drafts list.

Definition at line 17 of file ContentDraftListItem.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem::__construct | ( | VersionInfo | $versionInfo | ) |

Parameters

  \eZ\Publish\API\Repository\Values\Content\VersionInfo | $versionInfo |

Definition at line 27 of file ContentDraftListItem.php.

References eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem\$versionInfo.

## Member Function Documentation

## ◆ getVersionInfo()

eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem::getVersionInfo | ( |  | ) |

Returns
  \eZ\Publish\API\Repository\Values\Content\VersionInfo|null

Implements eZ\Publish\API\Repository\Values\Content\DraftList\ContentDraftListItemInterface.

Definition at line 35 of file ContentDraftListItem.php.

References eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem\$versionInfo.

## ◆ hasVersionInfo()

eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem::hasVersionInfo | ( |  | ) |

Returns
  bool

Implements eZ\Publish\API\Repository\Values\Content\DraftList\ContentDraftListItemInterface.

Definition at line 43 of file ContentDraftListItem.php.

## Member Data Documentation

## ◆ $versionInfo

eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem::$versionInfo
| private

Definition at line 22 of file ContentDraftListItem.php.

Referenced by eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem\__construct(), and eZ\Publish\API\Repository\Values\Content\DraftList\Item\ContentDraftListItem\getVersionInfo().

The documentation for this class was generated from the following file:

- ContentDraftListItem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.